OpenNMS API 1.2.9

## org.opennms.web.event
Class EventFilterServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.opennms.web.event.EventFilterServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class EventFilterServlet
extends javax.servlet.http.HttpServlet

A servlet that handles querying the event table by using filters to create an event list and and then forwards that event list to a JSP for display.

Author:
  Lawrence Karnowski , OpenNMS
See Also:
  Serialized Form

Field Summary
`static EventFactory.AcknowledgeType` `DEFAULT_ACKNOWLEDGE_TYPE`
`static int` `DEFAULT_LIMIT`
`static int` `DEFAULT_MULTIPLE`
`static EventFactory.SortStyle` `DEFAULT_SORT_STYLE`

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`EventFilterServlet()`

Method Summary
`void` `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Parses the query string to determine what types of event filters to use (for example, what to filter on or sort by), then does the database query (through the EventFactory) and then forwards the results to a JSP for display.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_LIMIT

    public static final int DEFAULT_LIMIT

See Also:
  Constant Field Values

### DEFAULT_MULTIPLE

    public static final int DEFAULT_MULTIPLE

See Also:
  Constant Field Values

### DEFAULT_SORT_STYLE

    public static final EventFactory.SortStyle DEFAULT_SORT_STYLE

### DEFAULT_ACKNOWLEDGE_TYPE

    public static final EventFactory.AcknowledgeType DEFAULT_ACKNOWLEDGE_TYPE

Constructor Detail

### EventFilterServlet

    public EventFilterServlet()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Parses the query string to determine what types of event filters to use (for example, what to filter on or sort by), then does the database query (through the EventFactory) and then forwards the results to a JSP for display.

  Sets the events and parms request attributes for the forwardee JSP (or whatever gets called).

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.